/*
 * Copyright 2020 Baptiste Candellier
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package fr.outadoc.homeslide.common.log

import fr.outadoc.homeslide.logging.KLog
import org.koin.core.logger.Level
import org.koin.core.logger.Logger
import org.koin.core.logger.MESSAGE

class KoinCustomLogger : Logger() {

    override fun log(level: Level, msg: MESSAGE) {
        when (level) {
            Level.DEBUG -> KLog.d { msg }
            Level.INFO -> KLog.i { msg }
            Level.ERROR -> KLog.e { msg }
            Level.NONE -> Unit
        }
    }
}
